%global         momorel 2

Name:           perl-Pegex
Version:        0.56
Release:        %{momorel}m%{?dist}
Summary:        Acmeist PEG Parser Framework
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pegex/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Pegex-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= v5.8.1
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-YAML-LibYAML
BuildRequires:  perl-YAML
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Pegex is an Acmeist parser framework. It allows you to easily create
parsers that will work equivalently in lots of programming languages! The
inspiration for Pegex comes from the parsing engine upon which the
postmodern programming language Perl 6 is based on. Pegex brings this
beauty to the other justmodern languages that have a normal regular
expression engine available.

%prep
%setup -q -n Pegex-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING LICENSE META.json README
%{perl_vendorlib}/Pegex
%{perl_vendorlib}/Pegex.pm
%{perl_vendorlib}/Pegex.pod
%{_mandir}/man3/*

%changelog
* Sun Nov 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.56-2m)
- BR perl-YAML-LibYAML

* Sat Oct 04 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.56-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
